Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::ToolbarChild Class Reference

A GtkToolbarChild C++ wrapper class. More...

`#include <inti/gtk/toolbar.h>`

List of all members.

## Public Member Functions

Accessors

- GtkToolbarChild * gtk_toolbar_child () const
    Get a pointer to the GtkToolbarChild structure.
- ToolbarChildType type () const
    Returns the type of toolbar child.
- Widget * widget () const
    Returns a pointer to the child widget, or null if no widget was added.
- Widget * icon () const
    Returns a pointer to the image widget, or null if the child doesn't have an icon.
- Label * label () const
    Returns a pointer to the label widget, or null if there is no text label.

## Detailed Description

A GtkToolbarChild C++ wrapper class.

ToolbarChild represents a child widget in a toolbar. It has four read-only data members: the toolbar child type, the widget, the icon image and the text label.

The documentation for this class was generated from the following file:

- toolbar.h

Main Page - Footer